# Class CASecurityPolicy

java.lang.Object
com.io7m.cardant.security.CASecurityPolicy

public final class CASecurityPolicy extends Object
The security policy objects.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final com.io7m.medrina.api.MObject`
  `AUDIT`
  The audit log.
  `static final com.io7m.medrina.api.MActionName`
  `DELETE`
  A "delete" action.
  `static final com.io7m.medrina.api.MObject`
  `INVENTORY_FILES`
  The files section of the inventory.
  `static final com.io7m.medrina.api.MObject`
  `INVENTORY_ITEMS`
  The items section of the inventory.
  `static final com.io7m.medrina.api.MObject`
  `INVENTORY_LOCATIONS`
  The locations section of the inventory.
  `static final com.io7m.medrina.api.MObject`
  `INVENTORY_STOCK`
  The stock section of the inventory.
  `static final com.io7m.medrina.api.MActionName`
  `READ`
  A "read" action.
  `static final com.io7m.medrina.api.MRoleName`
  `ROLE_AUDIT_READER`
  A reader of the audit log.
  `static final com.io7m.medrina.api.MRoleName`
  `ROLE_INVENTORY_ADMIN`
  An all-powerful administrator of inventories.
  `static final com.io7m.medrina.api.MRoleName`
  `ROLE_INVENTORY_FILES_READER`
  A reader of inventory files.
  `static final com.io7m.medrina.api.MRoleName`
  `ROLE_INVENTORY_FILES_WRITER`
  A writer of inventory files.
  `static final com.io7m.medrina.api.MRoleName`
  `ROLE_INVENTORY_ITEMS_READER`
  A reader of inventory items.
  `static final com.io7m.medrina.api.MRoleName`
  `ROLE_INVENTORY_ITEMS_WRITER`
  A writer of inventory items.
  `static final com.io7m.medrina.api.MRoleName`
  `ROLE_INVENTORY_LOCATIONS_READER`
  A reader of inventory locations.
  `static final com.io7m.medrina.api.MRoleName`
  `ROLE_INVENTORY_LOCATIONS_WRITER`
  A writer of inventory locations.
  `static final com.io7m.medrina.api.MRoleName`
  `ROLE_INVENTORY_STOCK_READER`
  A reader of inventory stock.
  `static final com.io7m.medrina.api.MRoleName`
  `ROLE_INVENTORY_STOCK_WRITER`
  A writer of inventory stock.
  `static final Set<com.io7m.medrina.api.MRoleName>`
  `ROLES_ALL`
  All roles.
  `static final com.io7m.medrina.api.MActionName`
  `WRITE`
  A "write" action.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static com.io7m.medrina.api.MPolicy`
  `open()`
  Load the internal security policy.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### AUDIT

    public static final com.io7m.medrina.api.MObject AUDIT
    The audit log.

  - ### INVENTORY_ITEMS

    public static final com.io7m.medrina.api.MObject INVENTORY_ITEMS
    The items section of the inventory.

  - ### INVENTORY_FILES

    public static final com.io7m.medrina.api.MObject INVENTORY_FILES
    The files section of the inventory.

  - ### INVENTORY_LOCATIONS

    public static final com.io7m.medrina.api.MObject INVENTORY_LOCATIONS
    The locations section of the inventory.

  - ### INVENTORY_STOCK

    public static final com.io7m.medrina.api.MObject INVENTORY_STOCK
    The stock section of the inventory.

  - ### READ

    public static final com.io7m.medrina.api.MActionName READ
    A "read" action.

  - ### WRITE

    public static final com.io7m.medrina.api.MActionName WRITE
    A "write" action.

  - ### DELETE

    public static final com.io7m.medrina.api.MActionName DELETE
    A "delete" action.

  - ### ROLE_INVENTORY_FILES_WRITER

    public static final com.io7m.medrina.api.MRoleName ROLE_INVENTORY_FILES_WRITER
    A writer of inventory files.

  - ### ROLE_INVENTORY_FILES_READER

    public static final com.io7m.medrina.api.MRoleName ROLE_INVENTORY_FILES_READER
    A reader of inventory files.

  - ### ROLE_INVENTORY_STOCK_WRITER

    public static final com.io7m.medrina.api.MRoleName ROLE_INVENTORY_STOCK_WRITER
    A writer of inventory stock.

  - ### ROLE_INVENTORY_STOCK_READER

    public static final com.io7m.medrina.api.MRoleName ROLE_INVENTORY_STOCK_READER
    A reader of inventory stock.

  - ### ROLE_INVENTORY_ITEMS_WRITER

    public static final com.io7m.medrina.api.MRoleName ROLE_INVENTORY_ITEMS_WRITER
    A writer of inventory items.

  - ### ROLE_INVENTORY_ITEMS_READER

    public static final com.io7m.medrina.api.MRoleName ROLE_INVENTORY_ITEMS_READER
    A reader of inventory items.

  - ### ROLE_INVENTORY_LOCATIONS_WRITER

    public static final com.io7m.medrina.api.MRoleName ROLE_INVENTORY_LOCATIONS_WRITER
    A writer of inventory locations.

  - ### ROLE_INVENTORY_LOCATIONS_READER

    public static final com.io7m.medrina.api.MRoleName ROLE_INVENTORY_LOCATIONS_READER
    A reader of inventory locations.

  - ### ROLE_AUDIT_READER

    public static final com.io7m.medrina.api.MRoleName ROLE_AUDIT_READER
    A reader of the audit log.

  - ### ROLE_INVENTORY_ADMIN

    public static final com.io7m.medrina.api.MRoleName ROLE_INVENTORY_ADMIN
    An all-powerful administrator of inventories.

  - ### ROLES_ALL

    public static final Set<com.io7m.medrina.api.MRoleName> ROLES_ALL
    All roles.

- ## Method Details

  - ### open

    public static com.io7m.medrina.api.MPolicy open() throws IOException
    Load the internal security policy.
    Returns:
      A policy
    Throws:
      `IOException` - On errors